# Ruleset

Assigns incoming messages to a specified ruleset.

This parameter applies to imudp: UDP Syslog Input Module.

Name:

  Ruleset

Scope:

  input

Type:

  string (see Rsyslog Parameter String Constants)

Default:

  input=RSYSLOG_DefaultRuleset

Required?:

  no

Introduced:

  at least 5.x, possibly earlier

## Description

Binds the listener to a specific ruleset.

## Input usage

    input(type="imudp" Ruleset="...")

### Legacy names (for reference)

Historic names/directives for compatibility. Do not use in new configs.

- $InputUDPServerBindRuleset — maps to Ruleset (status: legacy)

## See also

See also imudp: UDP Syslog Input Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.